/*
 * Copyright 2010 Google Inc.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package com.google.gwt.i18n.client.impl.cldr;

// DO NOT EDIT - GENERATED FROM CLDR AND ICU DATA

/**
 * Implementation of DateTimeFormatInfo for the "saq" locale.
 */
public class DateTimeFormatInfoImpl_saq extends DateTimeFormatInfoImpl {

  @Override
  public String[] ampms() {
    return new String[] {
        "Tesiran",
        "Teipa"
    };
  }

  @Override
  public String dateFormatFull() {
    return "EEEE, d MMMM y";
  }

  @Override
  public String dateFormatLong() {
    return "d MMMM y";
  }

  @Override
  public String dateFormatMedium() {
    return "d MMM y";
  }

  @Override
  public String dateFormatShort() {
    return "dd/MM/yyyy";
  }

  @Override
  public String[] erasFull() {
    return new String[] {
        "Kabla ya Christo",
        "Baada ya Christo"
    };
  }

  @Override
  public String[] erasShort() {
    return new String[] {
        "KK",
        "BK"
    };
  }

  @Override
  public int firstDayOfTheWeek() {
    return 6;
  }

  @Override
  public String formatMonthFullWeekdayDay() {
    return "EEEE, MMMM d";
  }

  @Override
  public String formatMonthNumDay() {
    return "M/d";
  }

  @Override
  public String formatYearMonthAbbrev() {
    return "MMM y";
  }

  @Override
  public String formatYearMonthAbbrevDay() {
    return "d MMM y";
  }

  @Override
  public String formatYearMonthFull() {
    return "MMMM y";
  }

  @Override
  public String formatYearMonthFullDay() {
    return "d MMMM y";
  }

  @Override
  public String formatYearMonthNum() {
    return "M/y";
  }

  @Override
  public String formatYearMonthNumDay() {
    return "d/M/y";
  }

  @Override
  public String formatYearMonthWeekdayDay() {
    return "EEE, MMM d, y";
  }

  @Override
  public String formatYearQuarterFull() {
    return "QQQQ y";
  }

  @Override
  public String formatYearQuarterShort() {
    return "Q y";
  }

  @Override
  public String[] monthsFull() {
    return new String[] {
        "Lapa le obo",
        "Lapa le waare",
        "Lapa le okuni",
        "Lapa le ong'wan",
        "Lapa le imet",
        "Lapa le ile",
        "Lapa le sapa",
        "Lapa le isiet",
        "Lapa le saal",
        "Lapa le tomon",
        "Lapa le tomon obo",
        "Lapa le tomon waare"
    };
  }

  @Override
  public String[] monthsNarrow() {
    return new String[] {
        "O",
        "W",
        "O",
        "O",
        "I",
        "I",
        "S",
        "I",
        "S",
        "T",
        "T",
        "T"
    };
  }

  @Override
  public String[] monthsShort() {
    return new String[] {
        "Obo",
        "Waa",
        "Oku",
        "Ong",
        "Ime",
        "Ile",
        "Sap",
        "Isi",
        "Saa",
        "Tom",
        "Tob",
        "Tow"
    };
  }

  @Override
  public String[] quartersFull() {
    return new String[] {
        "Robo e kwe",
        "Robo le waare",
        "Robo le waare",
        "Robo le ong'wan"
    };
  }

  @Override
  public String[] quartersShort() {
    return new String[] {
        "R1",
        "R2",
        "R3",
        "R4"
    };
  }

  @Override
  public String timeFormatFull() {
    return "h:mm:ss a zzzz";
  }

  @Override
  public String timeFormatLong() {
    return "h:mm:ss a z";
  }

  @Override
  public String timeFormatMedium() {
    return "h:mm:ss a";
  }

  @Override
  public String timeFormatShort() {
    return "h:mm a";
  }

  @Override
  public String[] weekdaysFull() {
    return new String[] {
        "Mderot ee are",
        "Mderot ee kuni",
        "Mderot ee ong'wan",
        "Mderot ee inet",
        "Mderot ee ile",
        "Mderot ee sapa",
        "Mderot ee kwe"
    };
  }

  @Override
  public String[] weekdaysNarrow() {
    return new String[] {
        "A",
        "K",
        "O",
        "I",
        "I",
        "S",
        "K"
    };
  }

  @Override
  public String[] weekdaysShort() {
    return new String[] {
        "Are",
        "Kun",
        "Ong",
        "Ine",
        "Ile",
        "Sap",
        "Kwe"
    };
  }
}
